---
search:
  tags:
    - relations
    - GET
seo:
  description: >-
    Get a relation (scope relations:read). Reference for the GET
    /api/v1/relations/{id} endpoint in the Basenet Public API.
sidebar:
  label: Get a relation (scope relations:read)
  badge: GET
title: Get a relation (scope relations:read)
type: openapi-operation
---
Endpoint: `GET /api/v1/relations/{id}`

Authentication: `bearerAuth` (Scoped API token (bnx\_…). Required scopes are noted per operation.)

Parameters:
- `id` (in path, string, required)

Responses:
- `200`: Single resource
- `401`: Unauthenticated
- `403`: Forbidden (missing scope or permission)
- `404`: Not found
- `429`: Rate limited

Response 200 body (`application/json`):
- `id` (string, required)
- `kind` (string, required)
- `systemKind` (string or null, required)
- `systemCode` (string or null, required)
- `companyName` (string or null, required)
- `firstName` (string or null, required)
- `lastName` (string or null, required)
- `email` (string or null, required)
- `phone` (string or null, required)
- `departmentId` (string or null, required)
- `accessLevelId` (string or null, required)
- `active` (boolean, required)
- `createdAt` (string, required)
- `updatedAt` (string, required)
